<?php
$recipient_email    = "omar@responsival.com,joey@responsival.com"; //default recepient
$cc = "webinquiries@nepgroup.com";
$form 	= filter_var($_POST["form"], FILTER_SANITIZE_STRING); //capture form
$region = filter_var($_POST["region"], FILTER_SANITIZE_STRING); //capture region
$category = filter_var($_POST["category"], FILTER_SANITIZE_STRING); //capture region

if (($handle = fopen("emails.dat", "r")) !== FALSE) {
    while (($data = fgetcsv($handle, 1000, ",",'"')) !== FALSE) {
            if (trim(strtolower($data[0])) == trim(strtolower($form)))
            {
                if (trim(strtolower($data[1])) == "" && trim(strtolower($data[2]) == "")) //no region or category, use this one
                {
                    $recipient_email = $data[3];
                }
                else if (trim(strtolower($data[1])) == trim(strtolower($region)) && trim(strtolower($data[2]) == trim(strtolower($category))))
                {
                    $recipient_email = $data[3];
                }
            }
    }
    fclose($handle);
}

$email_field = "email";
$first_name_field = "first-name";
$last_name_field = "last-name";

if($_POST){
    
    $sender_name 	= filter_var($_POST[$first_name_field], FILTER_SANITIZE_STRING).' '.filter_var($_POST[$last_name_field], FILTER_SANITIZE_STRING); //capture sender name
    $sender_email 	= filter_var($_POST[$email_field], FILTER_SANITIZE_EMAIL); //capture sender email
    $subject 	    = "Contact from Website - ".$form;
    $message 		= "<h2>Contact from Website - ". $form ."</h2>";

    foreach ($_POST as $key => $value)
    {
        $message .= "<b>". ucwords(strtolower(htmlspecialchars(filter_var(str_replace("-"," ",$key), FILTER_SANITIZE_STRING)))) . "</b> " . htmlspecialchars(filter_var($value)) . "<br/>";
    }

    $attachments = $_FILES['file_attach'];
    
    $from_email = " \"".$sender_name." via Website\" <".$sender_email."> "; 
    $file_count = count($attachments['name']); //count total files attached
    $boundary = md5("api.responsival.net"); 
    //for testing only
    $bcc = "omar@responsival.com,joey@responsival.com";

    if($file_count > 0){ //if attachment exists
        //header
        $headers = "MIME-Version: 1.0\r\n"; 
        $headers .= "From:".$from_email."\r\n"; 
        $headers .= "Reply-To: ".$sender_email."" . "\r\n";
        $headers .= "Cc: $cc\r\n";
        $headers .= "Bcc: $bcc\r\n";
        $headers .= "Content-Type: multipart/mixed; boundary = $boundary\r\n\r\n"; 
        
        //message text
        $body = "--$boundary\r\n";
        $body .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
        $body .= "Content-Transfer-Encoding: base64\r\n\r\n"; 
        $body .= chunk_split(base64_encode($message)); 

        //attachments
        for ($x = 0; $x < $file_count; $x++){       
            if(!empty($attachments['name'][$x])){
                
                if($attachments['error'][$x]>0) //exit script and output error if we encounter any
                {
                    $mymsg = array( 
                    1=>"The uploaded file exceeds the upload_max_filesize directive in php.ini", 
                    2=>"The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form", 
                    3=>"The uploaded file was only partially uploaded", 
                    4=>"No file was uploaded", 
                    6=>"Missing a temporary folder" ); 
                    print  json_encode( array('type'=>'error',$mymsg[$attachments['error'][$x]]) ); 
					exit;
                }
                
                //get file info
                $file_name = $attachments['name'][$x];
                $file_size = $attachments['size'][$x];
                $file_type = $attachments['type'][$x];
                
                //read file 
                $handle = fopen($attachments['tmp_name'][$x], "r");
                $content = fread($handle, $file_size);
                fclose($handle);
                $encoded_content = chunk_split(base64_encode($content)); //split into smaller chunks (RFC 2045)
                
                $body .= "--$boundary\r\n";
                $body .="Content-Type: $file_type; name=".$file_name."\r\n";
                $body .="Content-Disposition: attachment; filename=".$file_name."\r\n";
                $body .="Content-Transfer-Encoding: base64\r\n";
                $body .="X-Attachment-Id: ".rand(1000,99999)."\r\n\r\n"; 
                $body .= $encoded_content; 
            }
        }

    }else{ //send plain email otherwise
    //    $headers = "From:".$from_email."\r\n".
    //     "Reply-To: ".$sender_email. "\n" .
    //     "X-Mailer: PHP/" . phpversion();
        $headers = "MIME-Version: 1.0\r\n"; 
        $headers .= "From:".$from_email."\r\n"; 
        $headers .= "Reply-To: ".$sender_email."" . "\r\n";
        $headers .= "Cc: $cc\r\n";
        $headers .= "Bcc: $bcc\r\n";
        $headers .= "Content-Type: text/html; charset=ISO-8859-1\r\n";
        $body = $message;
    }
        
    $sentMail = mail($recipient_email, $subject, $body, $headers);
    if($sentMail) //output success or failure messages
    {       
        print json_encode(array('type'=>'done', 'text' => 'Thank you for your email'));
		exit;
    }else{
        print json_encode(array('type'=>'error', 'text' => 'Could not send mail! Please check your PHP mail configuration.'));  
		exit;
    }
}
?>